wxANIDecoder Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
wxANIDecoder Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/anidecod.h>`

Inheritance diagram for wxANIDecoder:
[legend]

## Detailed Description

An animation decoder supporting animated cursor (.ani) files.

## Public Member Functions
| wxANIDecoder ()
| ~wxANIDecoder ()
virtual bool | Load (wxInputStream &stream)
| Load the animation image frames from the given stream.
virtual wxAnimationDecoder * | Clone () const
| Create a copy of this decoder.
virtual wxAnimationType | GetType () const
| Return the animation type this decoder implements.
virtual bool | ConvertToImage (unsigned int frame, wxImage *image) const
| Convert given frame to `wxImage`.
virtual wxSize | GetFrameSize (unsigned int frame) const
virtual wxPoint | GetFramePosition (unsigned int frame) const
virtual wxAnimationDisposal | GetDisposalMethod (unsigned int frame) const
| What should be done after displaying this frame.
virtual long | GetDelay (unsigned int frame) const
| Return the number of milliseconds this frame should be displayed.
virtual wxColour | GetTransparentColour (unsigned int frame) const
| The transparent colour for this frame, if any, or `wxNullColour`.
Public Member Functions inherited from wxAnimationDecoder
| wxAnimationDecoder ()
bool | CanRead (wxInputStream &stream) const
| Returns true if this decoder supports loading from the given stream.
wxSize | GetAnimationSize () const
wxColour | GetBackgroundColour () const
unsigned int | GetFrameCount () const
Public Member Functions inherited from wxRefCounter
| wxRefCounter ()
| Default constructor.
void | DecRef ()
| Decrements the reference count associated with this shared data and, if it reaches zero, destroys this instance of wxRefCounter releasing its memory.
int | GetRefCount () const
| Returns the reference count associated with this shared data.
void | IncRef ()
| Increments the reference count associated with this shared data.

## Protected Member Functions
virtual bool | DoCanRead (wxInputStream &stream) const
| Checks the signature of the data in the given stream and returns true if it appears to be a valid animation format recognized by the animation decoder; this function should modify the stream current position without taking care of restoring it since `CanRead()` will do it.
Protected Member Functions inherited from wxRefCounter
virtual | ~wxRefCounter ()
| Destructor.

## Constructor & Destructor Documentation

## ◆ wxANIDecoder()

wxANIDecoder::wxANIDecoder | ( |  | ) |

## ◆ ~wxANIDecoder()

wxANIDecoder::~wxANIDecoder | ( |  | ) |

## Member Function Documentation

## ◆ Clone()

virtual wxAnimationDecoder * wxANIDecoder::Clone | ( |  | ) | const
| virtual

Create a copy of this decoder.

Implements wxAnimationDecoder.

## ◆ ConvertToImage()

virtual bool wxANIDecoder::ConvertToImage | ( | unsigned int | frame,
|  | wxImage * | image ) const
| virtual

Convert given frame to `wxImage`.

Implements wxAnimationDecoder.

## ◆ DoCanRead()

virtual bool wxANIDecoder::DoCanRead | ( | wxInputStream & | stream | ) | const
| protectedvirtual

Checks the signature of the data in the given stream and returns true if it appears to be a valid animation format recognized by the animation decoder; this function should modify the stream current position without taking care of restoring it since `CanRead()` will do it.

Implements wxAnimationDecoder.

## ◆ GetDelay()

virtual long wxANIDecoder::GetDelay | ( | unsigned int | frame | ) | const
| virtual

Return the number of milliseconds this frame should be displayed.

If -1 is returned then the frame must be displayed forever.

Implements wxAnimationDecoder.

## ◆ GetDisposalMethod()

virtual wxAnimationDisposal wxANIDecoder::GetDisposalMethod | ( | unsigned int | frame | ) | const
| virtual

What should be done after displaying this frame.

Implements wxAnimationDecoder.

## ◆ GetFramePosition()

virtual wxPoint wxANIDecoder::GetFramePosition | ( | unsigned int | frame | ) | const
| virtual

Implements wxAnimationDecoder.

## ◆ GetFrameSize()

virtual wxSize wxANIDecoder::GetFrameSize | ( | unsigned int | frame | ) | const
| virtual

Implements wxAnimationDecoder.

## ◆ GetTransparentColour()

virtual wxColour wxANIDecoder::GetTransparentColour | ( | unsigned int | frame | ) | const
| virtual

The transparent colour for this frame, if any, or `wxNullColour`.

Implements wxAnimationDecoder.

## ◆ GetType()

virtual wxAnimationType wxANIDecoder::GetType | ( |  | ) | const
| virtual

Return the animation type this decoder implements.

Implements wxAnimationDecoder.

## ◆ Load()

virtual bool wxANIDecoder::Load | ( | wxInputStream & | stream | ) |
| virtual

Load the animation image frames from the given stream.

Implements wxAnimationDecoder.